//
//  Group.h
//  UsenetEngine
//
//  Created by Ger Teunis on 08-07-11.
//  Copyright (c) 2013 VortexApps. All rights reserved.
//

#import <Foundation/Foundation.h>
@class NZB;

@interface DownloadGroup : NSObject <NSCoding, NSCopying> {
@private
    NSColor *groupColor;
    NSString *groupName;
    NSURL *completedFolderURL;
	NSData *completedFolderSecurityBookmark;
	NSString *completedFolderMountURL;
    NSNumber *enabledCleanup;
    NSNumber *autoMatchingEnabled;
    NSString *filterIncludeName;
    NSString *filterExcludeName;
    NSNumber *filterMinSize;
    NSNumber *filterMaxSize;
    NSNumber *moveCompletedDownload;
    NSString *uuid;
	bool initializing;
    NSNumber *moveCompletedDownloadSeasonFolder;
    NSNumber *moveCompletedDownloadRSSWatchFolder;
}

@property (nonatomic, retain) NSNumber *autoMatchingEnabled;
@property (nonatomic, retain) NSColor *groupColor;
@property (nonatomic, retain) NSString *groupName;
@property (nonatomic, retain) NSURL *completedFolderURL;
@property (nonatomic, retain) NSData *completedFolderSecurityBookmark;
@property (nonatomic, retain) NSString *completedFolderMountURL;
@property (nonatomic, retain) NSNumber *enabledCleanup;
@property (nonatomic, retain) NSString *filterIncludeName;
@property (nonatomic, retain) NSString *filterExcludeName;
@property (nonatomic, retain) NSNumber *filterMinSize;
@property (nonatomic, retain) NSNumber *filterMaxSize;
@property (nonatomic, retain) NSNumber *moveCompletedDownload;
@property (nonatomic, retain) NSString *uuid;
@property (nonatomic) bool initializing;
@property (nonatomic, retain) NSNumber *moveCompletedDownloadSeasonFolder;
@property (nonatomic, retain) NSNumber *moveCompletedDownloadRSSWatchFolder;

-(NSString*)compileMoveToCompletedFolder:(NZB*)nzb;

@end
