//
//  RSSFeedTVShowEpisode.h
//  UsenetEngine
//
//  Created by Ger Teunis on 09-04-13.
//
//

#import <Foundation/Foundation.h>
#import "NNTPEnums.h"

@interface RSSFeedTVEpisode : NSObject<NSCoding> {
    NSString *cachedSeasonEpisodeString;
    NSNumber *season;
    NSNumber *episode;
    RSSFeedTVEpisodeState state;
}

@property (nonatomic, retain) NSNumber *season;
@property (nonatomic, retain) NSNumber *episode;
@property (nonatomic) RSSFeedTVEpisodeState state;
@property (readonly, nonatomic, retain) NSString *stateString;

-(NSString*)seasonEpisodeString;

@end
